Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.menu
Class MenuIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<MenuID>
              com.bea.portal.tools.portal.menu.MenuIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class MenuIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<MenuID>

Builds and parses `MenuID`.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`MenuIDBuilder()` Constructor.

Method Summary
`MenuID` | `createResourceID()` Create the `MenuDefinitionsID`.
`int` | `getId()` Get the identifier of the referrent menu definition.
`MenuDefinitionId` | `getMenuDefinitionId()` Get the `MenuDefinitionId`.
`MenuIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`MenuIDBuilder` | `setId(Integer id)` Change the identifier of the referrent menu definition.
`MenuIDBuilder` | `setMenuDefinitionId(MenuDefinitionId menuDefinitionId)` Change the `MenuDefinitionId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuIDBuilder

    public MenuIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public MenuIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `MenuDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<MenuID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getId

    public int getId()

  Get the identifier of the referrent menu definition.

  Returns
    the identifier of the referrent menu definition

### setId

    public MenuIDBuilder setId(Integer id)

  Change the identifier of the referrent menu definition.

  Parameters
    `id` - the identifier of the referrent menu definition
  Returns
    this `MenuIDBuilder`

### getMenuDefinitionId

    public MenuDefinitionId getMenuDefinitionId()

  Get the `MenuDefinitionId`.

  Returns
    the `MenuDefinitionId`

### setMenuDefinitionId

    public MenuIDBuilder setMenuDefinitionId(MenuDefinitionId menuDefinitionId)

  Change the `MenuDefinitionId`.

  Parameters
    `menuDefinitionId` - the `MenuDefinitionId`
  Returns
    this `MenuDefinitionIDBuilder`

### createResourceID

    public MenuID createResourceID()

  Create the `MenuDefinitionsID`. the `MenuDefinitionsID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<MenuID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.